/* freen - My Pet Freen. */
#include "common.h"
#include "hash.h"
#include "jksql.h"
#include "portable.h"
#include "hdb.h"
#include "simpleRepeat.h"


void usage()
/* Explain usage and exit. */
{
errAbort(
  "freen - My pet freen\n"
  "usage:\n"
  "   freen hgN\n");
}

void freen(char *text)
{
FILE *f = mustOpen("simpleRepeat.bed", "w");
struct sqlConnection *conn = sqlConnect("hg6");
struct sqlResult *sr = sqlGetResult(conn, "select * from simpleRepeat where chrom = 'chr22'");
char **row;
while ((row = sqlNextRow(sr)) != NULL)
    {
    struct simpleRepeat el;
    simpleRepeatStaticLoad(row, &el);
    simpleRepeatTabOut(&el, f);
    }
}

int main(int argc, char *argv[])
/* Process command line. */
{
if (argc != 2 )
    usage();
freen(argv[1]);
return 0;
}
